format.info {base} | R Documentation

## format(.) Information

### Description

Information is returned on how `format(x, digits = options("digits"))` would be formatted like.

### Usage

    format.info(x)

### Arguments

`x` | (numeric) vector; potential argument of `format(x,...)`.

### Value

An `integer` `vector` of length 3, say `r`.

`r[1]` | width (number of characters) used for `format(x)`
`r[2]` | number of digits after decimal point.
`r[3]` | in `0:2`; if >=`1`, exponential representation would be used, with exponent length of `r[3]+1`.

### Note

The result depends on the value of `options("digits")`.

### See Also

`format`, `formatC`.

### Examples

    dd <- options("digits") ; options(digits = 7) #-- for the following
    format.info(123) # 3 0 0
    format.info(pi)  # 8 6 0
    format.info(1e8) # 5 0 1 - exponential "1e+08"
    format.info(1e222)#6 0 2 - exponential "1e+222"

    x <- pi*10^c(-10,-2,0:2,8,20)
    names(x) <- formatC(x,w=1,dig=3,format="g")
    cbind(sapply(x,format))
    t(sapply(x, format.info))

    # Reset old options:
    options(dd)

[Package Contents]